# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "hipchat"
  s.version = "0.11.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["HipChat/Atlassian"]
  s.date = "2013-07-19"
  s.description = "Ruby library to interact with HipChat"
  s.email = ["support@hipchat.com"]
  s.files = [".document", ".gitignore", ".travis.yml", "Gemfile", "Gemfile.lock", "LICENSE", "README.textile", "Rakefile", "hipchat.gemspec", "lib/hipchat.rb", "lib/hipchat/capistrano.rb", "lib/hipchat/chef.rb", "lib/hipchat/rails3_tasks.rb", "lib/hipchat/railtie.rb", "lib/hipchat/version.rb", "spec/example/history.json", "spec/hipchat_spec.rb", "spec/spec.opts", "spec/spec_helper.rb"]
  s.homepage = "https://github.com/hipchat/hipchat-rb"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.5"
  s.summary = "Ruby library to interact with HipChat"
  s.test_files = ["spec/example/history.json", "spec/hipchat_spec.rb", "spec/spec.opts", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<httparty>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<rr>, [">= 0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.3"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<webmock>, [">= 0"])
    else
      s.add_dependency(%q<httparty>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<rr>, [">= 0"])
      s.add_dependency(%q<bundler>, ["~> 1.3"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<webmock>, [">= 0"])
    end
  else
    s.add_dependency(%q<httparty>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<rr>, [">= 0"])
    s.add_dependency(%q<bundler>, ["~> 1.3"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<webmock>, [">= 0"])
  end
end

